Skip to content
Projects
Groups
Snippets
Help
This project
Loading...
Sign in / Register
Toggle navigation
E
etersoft-build-utils
Project
Project
Details
Activity
Cycle Analytics
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Charts
Issues
0
Issues
0
List
Board
Labels
Milestones
Merge Requests
0
Merge Requests
0
CI / CD
CI / CD
Pipelines
Jobs
Schedules
Charts
Registry
Registry
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Charts
Create a new issue
Jobs
Commits
Issue Boards
Open sidebar
korinf
etersoft-build-utils
Commits
90cfbf8a
Commit
90cfbf8a
authored
Jul 22, 2017
by
Vitaly Lipatov
Browse files
Options
Browse Files
Download
Email Patches
Plain Diff
fix rpmbsh options order handling
parent
07a9e752
Show whitespace changes
Inline
Side-by-side
Showing
2 changed files
with
8 additions
and
5 deletions
+8
-5
rpmbps
bin/rpmbps
+1
-0
rpmbsh
bin/rpmbsh
+7
-5
No files found.
bin/rpmbps
View file @
90cfbf8a
...
@@ -133,6 +133,7 @@ else
...
@@ -133,6 +133,7 @@ else
docmd
$ETERBUILDBIN
/rpmcs
--skip-reqs
$SPECNAME
docmd
$ETERBUILDBIN
/rpmcs
--skip-reqs
$SPECNAME
BUILDREQ
=
"BuildRequires:"
BUILDREQ
=
"BuildRequires:"
# Korinf hack
if
[
$(
basename
$SPECNAME
)
!=
"eepm.spec"
]
;
then
if
[
$(
basename
$SPECNAME
)
!=
"eepm.spec"
]
;
then
if
!
grep
-q
"BuildRequires:.*rpm-build-altlinux-compat"
$SPECNAME
;
then
if
!
grep
-q
"BuildRequires:.*rpm-build-altlinux-compat"
$SPECNAME
;
then
# Need our compat package and disable strong patch checking
# Need our compat package and disable strong patch checking
...
...
bin/rpmbsh
View file @
90cfbf8a
...
@@ -38,19 +38,21 @@ phelp()
...
@@ -38,19 +38,21 @@ phelp()
echog
" -t make temporary commit before build (rpmbb like behavior)"
echog
" -t make temporary commit before build (rpmbb like behavior)"
echog
" -l lazy cleanup (clean before build, not after)"
echog
" -l lazy cleanup (clean before build, not after)"
echog
" -w build with gear --hasher myhsh directly"
echog
" -w build with gear --hasher myhsh directly"
echog
" -b REPONAME binary repository name (
4.1, p5, t6
and so on)"
echog
" -b REPONAME binary repository name (
p6, t6, c7, p8
and so on)"
}
}
while
getopts
:hitwb: opt
;
do
PASSEDARGS
=
while
getopts
:hiufclstwb: opt
;
do
case
$opt
in
case
$opt
in
h
)
phelp
;
exit
0
;;
h
)
phelp
;
exit
0
;;
t
)
COMMIT
=
"--commit"
;;
t
)
COMMIT
=
"--commit"
;;
u|f|c|s|l
)
PASSEDARGS
=
"
$PASSEDARGS
-
$opt
"
;;
w
)
THOROUGH
=
1
;;
w
)
THOROUGH
=
1
;;
i
)
INSTALLPKG
=
1
;;
i
)
INSTALLPKG
=
1
;;
b
)
BINARYREPONAME
=
$OPTARG
;;
b
)
BINARYREPONAME
=
$OPTARG
;;
+?
)
echog
"
$name
: options should not be preceded by a '+'."
1>&2
;
exit
2
;;
+?
)
echog
"
$name
: options should not be preceded by a '+'."
1>&2
;
exit
2
;;
# ?) echog "$name: $OPTARG: bad option. Use -h for help." 1>&2 ; exit 2;;
# ?) echog "$name: $OPTARG: bad option. Use -h for help." 1>&2 ; exit 2;;
?
)
OPTIND
=
$((
OPTIND-1
))
;
break
;
?
)
OPTIND
=
$((
$
OPTIND
-
1
))
;
break
;
esac
esac
done
done
...
@@ -59,7 +61,7 @@ if [ $# -gt 0 ]; then
...
@@ -59,7 +61,7 @@ if [ $# -gt 0 ]; then
[
"
$OPTIND
"
-gt
0
]
&&
shift
$((
$OPTIND
-
1
))
[
"
$OPTIND
"
-gt
0
]
&&
shift
$((
$OPTIND
-
1
))
fi
fi
LISTRPMARGS
=
$@
LISTRPMARGS
=
"
$PASSEDARGS
$*
"
}
}
#############################
#############################
...
@@ -96,7 +98,7 @@ else
...
@@ -96,7 +98,7 @@ else
RESULT
=
$?
RESULT
=
$?
fi
fi
# if ok and
requested test install
, do it
# if ok and
test install is requested
, do it
if
[
"
$RESULT
"
=
"0"
]
&&
[
-n
"
$INSTALLPKG
"
]
;
then
if
[
"
$RESULT
"
=
"0"
]
&&
[
-n
"
$INSTALLPKG
"
]
;
then
BINPACKAGES
=
$(
$ETERBUILDBIN
/myhsh
$MENVARG
-b
$LISTBUILT
| estrlist reg_exclude debuginfo -
)
||
fatal
"Can't get binary packages for
$LISTBUILT
"
BINPACKAGES
=
$(
$ETERBUILDBIN
/myhsh
$MENVARG
-b
$LISTBUILT
| estrlist reg_exclude debuginfo -
)
||
fatal
"Can't get binary packages for
$LISTBUILT
"
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment